/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"memory_debug.h"
#include	"utils.h"

void
free_url(URL * u)
{
	if ( u->proto )
		d_f_ree(u->proto);
	if ( u->server )
		d_f_ree(u->server);
	if ( u->db )
		d_f_ree(u->db);
	if ( u->user )
		d_f_ree(u->user);
	if ( u->passwd )
		d_f_ree(u->passwd);
	if ( u->resource )
		d_f_ree(u->resource);
}
